module ActiveSchema
  module API

    def self.included base
      base.extend(self)
    end

    def schema opts = {}, &schema
      opts = Hash[opts] # somehow i do not like #dup in this context...
      table = opts.delete(:table) || self.table_name
      connection = opts.delete(:connection) || ActiveRecord::Base.connection
      ActiveSchema::SCHEMAS[table.to_s] = [connection, opts, schema]
    end

  end
end
